Bug 1655483 - Importing manifest from UI is broken : TypeError: Cannot read property 'title' of undefined
Summary: Importing manifest from UI is broken : TypeError: Cannot read property 'title...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Eric Helms
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1655976 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 09:39 UTC by Nikhil Kathole
Modified: 2019-10-07 17:17 UTC (History)
3 users (show)

Fixed In Version: rubygem-katello-3.10.0.rc1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:22 UTC


Attachments (Terms of Use)
screenshot of UI (71.16 KB, image/png)
2018-12-03 09:39 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:29 UTC

Description Nikhil Kathole 2018-12-03 09:39:44 UTC
Created attachment 1510839 [details]
screenshot of UI

Description of problem:

Trying to import manifest from UI in satellite 6.5 snap 6 is broken.

Clicking on manage manifest button gives blank page with console error

TypeError: t is undefined
Stack trace:
["./webpack/assets/javascripts/react_app/components/common/EmptyState/EmptyStatePrimaryActionButton.js"]/l@https://satellite/webpack/katello/katello-71eb3aecdd54ecdc52c1.js:1:427696

react-dom.production.min.js:171 TypeError: Cannot read property 'title' of undefined
    at l (katello-71eb3aecdd54ecdc52c1.js:1)
    at react-dom.production.min.js:158
    at eo (react-dom.production.min.js:161)
    at Oo (react-dom.production.min.js:192)
    at Po (react-dom.production.min.js:193)
    at di (react-dom.production.min.js:205)
    at ui (react-dom.production.min.js:204)
    at bi (react-dom.production.min.js:216)
    at Cn (react-dom.production.min.js:85)
oo @ react-dom.production.min.js:171
react-dom.production.min.js:204 Uncaught TypeError: Cannot read property 'title' of undefined
    at l (katello-71eb3aecdd54ecdc52c1.js:1)
    at react-dom.production.min.js:158
    at eo (react-dom.production.min.js:161)
    at Oo (react-dom.production.min.js:192)
    at Po (react-dom.production.min.js:193)
    at di (react-dom.production.min.js:205)
    at ui (react-dom.production.min.js:204)
    at bi (react-dom.production.min.js:216)
    at Cn (react-dom.production.min.js:85)

Version-Release number of selected component (if applicable):
Satellite 6.5 snap 6


How reproducible: always


Steps to Reproduce:
1. Navigate to content -> subscription page (satellite not having manifest uploaded in org)
2. Click on manage manifest.

Actual results:
Blank page with console error as above in description.


Expected results: No error and page should load.


Additional info: Import manifest button when no manifest uploaded also wont work (see attachment )

Comment 5 Walden Raines 2018-12-05 14:22:36 UTC
*** Bug 1655976 has been marked as a duplicate of this bug. ***

Comment 7 Walden Raines 2018-12-05 14:27:16 UTC
This is very likely solved by https://github.com/Katello/katello/pull/7863

Comment 8 Walden Raines 2018-12-05 14:45:40 UTC
This should be fixed in rubygem-katello-3.10.0.rc1.1

Comment 9 Nikhil Kathole 2018-12-10 07:14:59 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 7

tfm-rubygem-katello-3.10.0-0.1.rc1.1.el7sat.noarch

Import manifest page successfully loaded and also modularity page has no error.

Comment 11 errata-xmlrpc 2019-05-14 12:39:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.